%{?nodejs_find_provides_and_requires}

%global packagename resolve-cwd

# tests missing due to missing npm(ava)
%global enable_tests 0

Name:		nodejs-resolve-cwd
Version:	2.0.0
Release:	5%{?dist}
Summary:	Like require.resolve() but from current working directory

License:	MIT
URL:		https://github.com/sindresorhus/resolve-cwd
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/sindresorhus/resolve-cwd/v%{version}/test.js
# Source2 is generated by running Source10, which pulls from the upstream
# version control repository.
Source2:	fixture-%{version}.tar.bz2
Source10:	dl-tests.sh

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(resolve-from)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

%description
Resolve the path of a module like `require.resolve()` but from the current
working directory.


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .
%autosetup -T -D -a 2 -n package

%nodejs_fixdep resolve-from

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Oct 01 2017 Parag Nemade <pnemade AT redhat DOT com> - 2.0.0-2
- Relax dependency on npm(resolve-from)

* Sat Aug 19 2017 Jared Smith <jsmith@fedoraproject.org> - 2.0.0-1
- Update to upstream 2.0.0 release

* Sat Apr 22 2017 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
